Authentication
authorization string required
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key.
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID to use for the request
Value: vidu_edit_subjects
id string required
Subject ID generated by Vidu (server_id)
name string
New subject name
Maximum 64 characters
style string
New subject style description
Maximum 100 characters
description string
New detailed description of the subject
Maximum 2000 characters
voice_id string
New voice ID for the subject
Polling
Since result generation takes time, you need to poll the task status after creating the task.
The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.
See the examples on the right for polling requests and responses.
Response Format
output array
Generation result. Only present when status is completed.
content
arrayList of generated content
text
stringSubject edit result JSON string, containing the following fields:
id: ID of the modified subject
name: New subject name
style: New subject style description
description: New detailed description of the subject
voice_id: New voice ID of the subjecttype
stringResource type, this endpoint returns
text